﻿using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc;

namespace ActotionDescriptorRoutingCore.Controllers
{
    [Produces("application/json")]
    [Route("api/Items")]
    public class ItemsController : Controller
    {
        // GET api/values
        [HttpGet] //http://localhost:62922/api/items
        public IEnumerable<string> Get()
        {
            return new string[] { "item1", "item2" };
        }

        [Route("{id}")] // http://localhost:62922/api/items/22
        public int Get(int id)
        {
            return id;
        }

        // http://localhost:62922/api/items/?id=1&another=22
        public string GetAnother(int id, int another)
        {
            return $"GetAnother {id} {another}";
        }

        // http://localhost:62922/api/items/?id=1&something=22
        public string GetSomething(int id, int something)
        {
            return $"GetSomething {id} {something}";
        }

        // http://localhost:62922/api/items/?id=1
        // http://localhost:62922/api/items/?id=1&myNullable=33 
        public string GetWithNullables(int id, int? myNullable)
        {
            return $"GetWithNullables {id} {myNullable}";
        }
    }
}