﻿using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc;

namespace ActotionDescriptorRouting.Controllers
{
    [Route("api/[controller]")]
    public class ValuesController : Controller
    {
        // GET api/values
        [HttpGet] //http://localhost:62922/api/values
        public IEnumerable<string> Get()
        {
            return new string[] { "value1", "value2" };
        }

        [Route("{id}")] // http://localhost:62922/api/values/22
        public int Get(int id)
        {
            return id;
        }
        // http://localhost:62922/api/values/?id=1&another=22
        [QueryStringConstraint] 
        public string GetAnother(int id, int another)
        {
            return $"GetAnother {id} {another}";
        }
        
        // http://localhost:62922/api/values/?id=1&something=22
        [QueryStringConstraint] 
        public string GetSomething(int id, int something)
        {
            return $"GetSomething {id} {something}";
        }

        // http://localhost:62922/api/values/?id=1
        // http://localhost:62922/api/values/?id=1&myNullable=33 
        [QueryStringConstraint]  
        public string GetWithNullables(int id, int? myNullable)
        {
            return $"GetWithNullables {id} {myNullable}";
        }
    }
}
